
YulTheatreCommand = Turbine.ShellCommand();

------------------------------------------------------------------------------------------
-- commands
------------------------------------------------------------------------------------------
function YulTheatreCommand:Execute( command, arguments )

	if ( arguments == "help" ) then
		Turbine.Shell.WriteLine(Strings.PluginHelp);
	elseif ( arguments == "show" ) then
		--Turbine.Shell.WriteLine("Show the YulTheatre Window");
		YulTheatreWindow:SetVisible(true);
		settings.isWindowVisible = true;
	elseif ( arguments == "hide" ) then
		--Turbine.Shell.WriteLine("Hide the YulTheatre Window");
		YulTheatreWindow:SetVisible(false);
		settings.isWindowVisible = false;
	elseif ( arguments == "default" ) then
		--Turbine.Shell.WriteLine("default the YulHelperWindow");
		settings.shortcutData_1 = "0x7001049A"; -- emote bonjour
		settings.shortcutData_2 = "0x70005CA6"; -- emote discuter
		settings.shortcutData_3 = "0x70005CA6"; -- emote discuter
		settings.shortcutData_4 = "0x70005C90"; -- emote rire
		settings.shortcutData_5 = "0x70005CAA"; -- emote oui
		settings.shortcutData_6 = "0x70010499"; -- emote ricaner
		settings.shortcutData_7 = "0x70005C9B"; -- emote saluer
		settings.shortcutData_8 = "0x70005C85"; -- emote boire
		settings.shortcutData_9 = "0x70005CA6"; -- emote discuter
		centerQS1:SetShortcut( Turbine.UI.Lotro.Shortcut( 5, settings.shortcutData_1 ) );
		centerQS2:SetShortcut( Turbine.UI.Lotro.Shortcut( 5, settings.shortcutData_2 ) );
		centerQS3:SetShortcut( Turbine.UI.Lotro.Shortcut( 5, settings.shortcutData_3 ) );
		centerQS4:SetShortcut( Turbine.UI.Lotro.Shortcut( 5, settings.shortcutData_4 ) );
		centerQS5:SetShortcut( Turbine.UI.Lotro.Shortcut( 5, settings.shortcutData_5 ) );
		centerQS6:SetShortcut( Turbine.UI.Lotro.Shortcut( 5, settings.shortcutData_6 ) );
		centerQS7:SetShortcut( Turbine.UI.Lotro.Shortcut( 5, settings.shortcutData_7 ) );
		centerQS8:SetShortcut( Turbine.UI.Lotro.Shortcut( 5, settings.shortcutData_8 ) );
		centerQS9:SetShortcut( Turbine.UI.Lotro.Shortcut( 5, settings.shortcutData_9 ) );
	elseif ( arguments == "clear" ) then
		Turbine.Shell.WriteLine("clear the Animalerie Window");
		settings.shortcutData_1 = tostring("");
		settings.shortcutData_2 = tostring(""); 
		settings.shortcutData_3 = tostring(""); 
		settings.shortcutData_4 = tostring(""); 
		settings.shortcutData_5 = tostring(""); 
		settings.shortcutData_6 = tostring(""); 
		settings.shortcutData_7 = tostring(""); 
		settings.shortcutData_8 = tostring(""); 
		settings.shortcutData_9 = tostring(""); 
		centerQS1:SetShortcut(Turbine.UI.Lotro.Shortcut()); 
		centerQS2:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS3:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS4:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS5:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS6:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS7:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS8:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS9:SetShortcut(Turbine.UI.Lotro.Shortcut());
		SaveSettings();
	end
end

Turbine.Shell.AddCommand( "Yut;YulTheatre", YulTheatreCommand );

