ResourcePath = "Homeopatix/YulTheatre/Resources/";

Images = {
	MinimizedIcon = ResourcePath .. "YulTheatre.tga",
};


function CreateLocalizationInfo()

	Strings = {};
	if Turbine.Engine.GetLanguage() == Turbine.Language.German then
		Strings.PluginName = "Theater";
		Strings.PluginHelp = " *** Yul Theaterassistent ***\n\n/show Zeigen Sie das Fenster an\n/hide Verstecke das Fenster\n\nSie k\195\182nnen Emotes nach Belieben ziehen und ablegen";
		Strings.PluginChar1 = "Held";
		Strings.PluginChar2 = "Bedeuten";
		Strings.PluginChar3 = "Diener";

elseif Turbine.Engine.GetLanguage() == 
Turbine.Language.French then
		Strings.PluginName = "Theatre";
		Strings.PluginHelp = " *** Yul Theatre Aide ***\n\n/show affiche la fen\195\168tre\n/hide cache la fen\195\168tre\n\nLes chiffres indiquent l'ordre d'apparition\n\nVous pouvez faire glisser et d\195\169poser vos emotes ou vous voulez";
		Strings.PluginChar1 = "H\195\169ros";
		Strings.PluginChar2 = "M\195\169chant";
		Strings.PluginChar3 = "Serviteur";

elseif Turbine.Engine.GetLanguage() == 
Turbine.Language.English then
		Strings.PluginName = "Theater";
		Strings.PluginHelp = " *** Yul Theater Help ***\n\n/show Display the Window\n/hide Hide the Window\n\nThe numbers indicate the order of appearance\n\nYou can drag and drop emotes as you want";
		Strings.PluginChar1 = "Hero";
		Strings.PluginChar2 = "Mean";
		Strings.PluginChar3 = "Servant";
	end
end