 
 import "Turbine";
 import "Turbine.UI"; 
 import "Turbine.UI.Extensions"; 
 import "Turbine.UI.Lotro"; 

 import "Homeopatix.YulTheatre.Globals"
 import "Homeopatix.YulTheatre.MinimizedIcon"
 import "Homeopatix.YulTheatre.VindarPatch"
 import "Homeopatix.YulTheatre.Commands"
 import "Homeopatix.YulTheatre.LoadSettings"

Turbine.Shell.WriteLine("<rgb=#CC56DA>YulTheatre</rgb> <rgb=#DDDDDD>".. plugin:GetVersion() .." par Homeo</rgb>")

function SaveSettings()
		settings.positionX = tostring(settings.positionX);
   		settings.positionY = tostring(settings.positionY);
		settings.minimizeX = tostring(settings.minimizeX);
   		settings.minimizeY = tostring(settings.minimizeY);
		settings.isWindowVisible = settings.isWindowVisible;
		settings.shortcutData_1 = settings.shortcutData_1;
   		settings.shortcutData_2 = settings.shortcutData_2;
   		settings.shortcutData_3 = settings.shortcutData_3;
   		settings.shortcutData_4 = settings.shortcutData_4;
   		settings.shortcutData_5 = settings.shortcutData_5;
   		settings.shortcutData_6 = settings.shortcutData_6;
   		settings.shortcutData_7 = settings.shortcutData_7;
   		settings.shortcutData_8 = settings.shortcutData_8;
   		settings.shortcutData_9 = settings.shortcutData_9;
 
   
   -- save the settings
	PatchDataSave( Turbine.DataScope.Character, "YulTheatre_Settings", settings);
end

CreateLocalizationInfo();
LoadSettings();

------------------------------------------------------------------------------------------
-- create the main window
------------------------------------------------------------------------------------------
YulTheatreWindow=Turbine.UI.Lotro.GoldWindow(); 
YulTheatreWindow:SetSize(210,270); 

YulTheatreWindow:SetText(Strings.PluginName); 
YulTheatreWindow.Message=Turbine.UI.Label(); 
YulTheatreWindow.Message:SetParent(YulTheatreWindow); 
YulTheatreWindow.Message:SetSize(150,15); 
YulTheatreWindow.Message:SetPosition(YulTheatreWindow:GetWidth()/2 - 75, YulTheatreWindow:GetHeight()/2 - 90); 
YulTheatreWindow.Message:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
YulTheatreWindow.Message:SetText(Strings.PluginChar1);
YulTheatreWindow:SetWantsKeyEvents(true);

if(settings.isWindowVisible == true) then
	YulTheatreWindow:SetVisible(true); 
else
	YulTheatreWindow:SetVisible(false); 
end

YulTheatreWindow.Message=Turbine.UI.Label(); 
YulTheatreWindow.Message:SetParent(YulTheatreWindow); 
YulTheatreWindow.Message:SetSize(150,15); 
YulTheatreWindow.Message:SetPosition(YulTheatreWindow:GetWidth()/2 - 75, YulTheatreWindow:GetHeight()/2 - 16); 
YulTheatreWindow.Message:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
YulTheatreWindow.Message:SetText(Strings.PluginChar2); 

YulTheatreWindow.Message=Turbine.UI.Label(); 
YulTheatreWindow.Message:SetParent(YulTheatreWindow); 
YulTheatreWindow.Message:SetSize(150,15); 
YulTheatreWindow.Message:SetPosition(YulTheatreWindow:GetWidth()/2 - 75, YulTheatreWindow:GetHeight()/2 + 58); 
YulTheatreWindow.Message:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
YulTheatreWindow.Message:SetText(Strings.PluginChar3); 

YulTheatreButton = Turbine.UI.Label();
YulTheatreButton:SetParent( YulTheatreWindow );
YulTheatreButton:SetPosition(YulTheatreWindow:GetWidth()/2 - 65, YulTheatreWindow:GetHeight()/2 - 98);
YulTheatreButton:SetSize( 25, 25 );
YulTheatreButton:SetBackground(ResourcePath .. "/heros.tga");
YulTheatreButton:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
YulTheatreButton:SetVisible(true);

YulTheatreButton = Turbine.UI.Label();
YulTheatreButton:SetParent( YulTheatreWindow );
YulTheatreButton:SetPosition(YulTheatreWindow:GetWidth()/2 - 65, YulTheatreWindow:GetHeight()/2 - 23);
YulTheatreButton:SetSize( 25, 25 );
YulTheatreButton:SetBackground(ResourcePath .. "/mechant.tga");
YulTheatreButton:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
YulTheatreButton:SetVisible(true);

YulTheatreButton = Turbine.UI.Label();
YulTheatreButton:SetParent( YulTheatreWindow );
YulTheatreButton:SetPosition(YulTheatreWindow:GetWidth()/2 - 65, YulTheatreWindow:GetHeight()/2 + 50);
YulTheatreButton:SetSize( 25, 25 );
YulTheatreButton:SetBackground(ResourcePath .. "/serviteur.tga");
YulTheatreButton:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
YulTheatreButton:SetVisible(true);

------------------------------------------------------------------------------------------
-- text position emote
------------------------------------------------------------------------------------------
YulTheatreWindow.Message=Turbine.UI.Label(); 
YulTheatreWindow.Message:SetParent(YulTheatreWindow); 
YulTheatreWindow.Message:SetSize(150,15); 
YulTheatreWindow.Message:SetPosition(YulTheatreWindow:GetWidth()/2 - 160, YulTheatreWindow:GetHeight()/2 - 52); 
YulTheatreWindow.Message:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
YulTheatreWindow.Message:SetText("3"); 

YulTheatreWindow.Message=Turbine.UI.Label(); 
YulTheatreWindow.Message:SetParent(YulTheatreWindow); 
YulTheatreWindow.Message:SetSize(150,15); 
YulTheatreWindow.Message:SetPosition(YulTheatreWindow:GetWidth()/2 - 100, YulTheatreWindow:GetHeight()/2 - 52); 
YulTheatreWindow.Message:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
YulTheatreWindow.Message:SetText("6"); 

YulTheatreWindow.Message=Turbine.UI.Label(); 
YulTheatreWindow.Message:SetParent(YulTheatreWindow); 
YulTheatreWindow.Message:SetSize(150,15); 
YulTheatreWindow.Message:SetPosition(YulTheatreWindow:GetWidth()/2 - 40, YulTheatreWindow:GetHeight()/2 - 52); 
YulTheatreWindow.Message:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
YulTheatreWindow.Message:SetText("8"); 

YulTheatreWindow.Message=Turbine.UI.Label(); 
YulTheatreWindow.Message:SetParent(YulTheatreWindow); 
YulTheatreWindow.Message:SetSize(150,15); 
YulTheatreWindow.Message:SetPosition(YulTheatreWindow:GetWidth()/2 - 160, YulTheatreWindow:GetHeight()/2 + 22); 
YulTheatreWindow.Message:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
YulTheatreWindow.Message:SetText("2"); 

YulTheatreWindow.Message=Turbine.UI.Label(); 
YulTheatreWindow.Message:SetParent(YulTheatreWindow); 
YulTheatreWindow.Message:SetSize(150,15); 
YulTheatreWindow.Message:SetPosition(YulTheatreWindow:GetWidth()/2 - 100, YulTheatreWindow:GetHeight()/2 + 22); 
YulTheatreWindow.Message:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
YulTheatreWindow.Message:SetText("5"); 

YulTheatreWindow.Message=Turbine.UI.Label(); 
YulTheatreWindow.Message:SetParent(YulTheatreWindow); 
YulTheatreWindow.Message:SetSize(150,15); 
YulTheatreWindow.Message:SetPosition(YulTheatreWindow:GetWidth()/2 - 40, YulTheatreWindow:GetHeight()/2 + 22); 
YulTheatreWindow.Message:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
YulTheatreWindow.Message:SetText("9"); 

YulTheatreWindow.Message=Turbine.UI.Label(); 
YulTheatreWindow.Message:SetParent(YulTheatreWindow); 
YulTheatreWindow.Message:SetSize(150,15); 
YulTheatreWindow.Message:SetPosition(YulTheatreWindow:GetWidth()/2 - 160, YulTheatreWindow:GetHeight()/2 + 95); 
YulTheatreWindow.Message:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
YulTheatreWindow.Message:SetText("1"); 

YulTheatreWindow.Message=Turbine.UI.Label(); 
YulTheatreWindow.Message:SetParent(YulTheatreWindow); 
YulTheatreWindow.Message:SetSize(150,15); 
YulTheatreWindow.Message:SetPosition(YulTheatreWindow:GetWidth()/2 - 100, YulTheatreWindow:GetHeight()/2 + 95); 
YulTheatreWindow.Message:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
YulTheatreWindow.Message:SetText("4"); 

YulTheatreWindow.Message=Turbine.UI.Label(); 
YulTheatreWindow.Message:SetParent(YulTheatreWindow); 
YulTheatreWindow.Message:SetSize(150,15); 
YulTheatreWindow.Message:SetPosition(YulTheatreWindow:GetWidth()/2 - 40, YulTheatreWindow:GetHeight()/2 + 95); 
YulTheatreWindow.Message:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
YulTheatreWindow.Message:SetText("7"); 


if(settings.isWindowVisible == true) then
	YulTheatreWindow:SetVisible(true); 
else
	YulTheatreWindow:SetVisible(false); 
end

function YulTheatreWindow:Closing(sender, args)
	settings.isWindowVisible = false;
end


YulTheatreWindow:SetPosition(settings.positionX, settings.positionY);

if(settings.isWindowVisible == false) then
	YulTheatreWindow:SetVisible(false);
else
	YulTheatreWindow:SetVisible(true);
end

------------------------------------------------------------------------------------------
-- handle minimizeIcon
------------------------------------------------------------------------------------------
MainMinimizedIcon = MinimizedIcon(Images.MinimizedIcon, 40, 40, YulTheatreWindow:SetVisible(true));

MainMinimizedIcon:SetPosition(settings.minimizeX, settings.minimizeY);
MainMinimizedIcon:SetZOrder(0);
MainMinimizedIcon.PositionChanged = function()
	settings.minimizeX = MainMinimizedIcon:GetLeft();
	settings.minimizeY = MainMinimizedIcon:GetTop();
	SaveSettings();
end

------------------------------------------------------------------------------------------
-- yel helper center window
------------------------------------------------------------------------------------------
centerWindow = Turbine.UI.Extensions.SimpleWindow();
centerWindow:SetSize( 36 , 36 );
centerWindow:SetParent( YulTheatreWindow );
centerWindow:SetPosition( 31 ,YulTheatreWindow:GetHeight()/2 - 65);
centerWindow:SetVisible( true );
centerWindow:SetBackColor( Turbine.UI.Color( .6, .5, .7, .5) );

centerWindow2 = Turbine.UI.Extensions.SimpleWindow();
centerWindow2:SetSize( 36 , 36 );
centerWindow2:SetParent( YulTheatreWindow );
centerWindow2:SetPosition( 91 ,YulTheatreWindow:GetHeight()/2 - 65);
centerWindow2:SetVisible( true );
centerWindow2:SetBackColor( Turbine.UI.Color( .6, .5, .7, .5) );

centerWindow3 = Turbine.UI.Extensions.SimpleWindow();
centerWindow3:SetSize( 36 , 36 );
centerWindow3:SetParent( YulTheatreWindow );
centerWindow3:SetPosition( 151,YulTheatreWindow:GetHeight()/2 - 65);
centerWindow3:SetVisible( true );
centerWindow3:SetBackColor( Turbine.UI.Color( .6, .5, .7, .5) );

centerWindow4 = Turbine.UI.Extensions.SimpleWindow();
centerWindow4:SetSize( 36 , 36 );
centerWindow4:SetParent( YulTheatreWindow );
centerWindow4:SetPosition( 31,YulTheatreWindow:GetHeight()/2 + 8);
centerWindow4:SetVisible( true );
centerWindow4:SetBackColor( Turbine.UI.Color( .6, .5, .7, .5) );

centerWindow5 = Turbine.UI.Extensions.SimpleWindow();
centerWindow5:SetSize( 36 , 36 );
centerWindow5:SetParent( YulTheatreWindow );
centerWindow5:SetPosition( 91,YulTheatreWindow:GetHeight()/2 + 8);
centerWindow5:SetVisible( true );
centerWindow5:SetBackColor( Turbine.UI.Color( .6, .5, .7, .5));

centerWindow6 = Turbine.UI.Extensions.SimpleWindow();
centerWindow6:SetSize( 36 , 36 );
centerWindow6:SetParent( YulTheatreWindow );
centerWindow6:SetPosition( 151,YulTheatreWindow:GetHeight()/2 + 8);
centerWindow6:SetVisible( true );
centerWindow6:SetBackColor( Turbine.UI.Color( .6, .5, .7, .5));

centerWindow7 = Turbine.UI.Extensions.SimpleWindow();
centerWindow7:SetSize( 36 , 36 );
centerWindow7:SetParent( YulTheatreWindow );
centerWindow7:SetPosition( 31,YulTheatreWindow:GetHeight()/2 + 82);
centerWindow7:SetVisible( true );
centerWindow7:SetBackColor( Turbine.UI.Color( .6, .5, .7, .5) );

centerWindow8 = Turbine.UI.Extensions.SimpleWindow();
centerWindow8:SetSize( 36 , 36 );
centerWindow8:SetParent( YulTheatreWindow );
centerWindow8:SetPosition( 91,YulTheatreWindow:GetHeight()/2 + 82);
centerWindow8:SetVisible( true );
centerWindow8:SetBackColor( Turbine.UI.Color( .6, .5, .7, .5) );

centerWindow9 = Turbine.UI.Extensions.SimpleWindow();
centerWindow9:SetSize( 36 , 36 );
centerWindow9:SetParent( YulTheatreWindow );
centerWindow9:SetPosition( 151,YulTheatreWindow:GetHeight()/2 + 82);
centerWindow9:SetVisible( true );
centerWindow9:SetBackColor( Turbine.UI.Color( .6, .5, .7, .5) );

centerLabel = Turbine.UI.Label();
centerLabel:SetParent(centerWindow);
centerLabel:SetPosition( 0, 0 );
centerLabel:SetSize( 36, 36  );
centerLabel:SetText( "" );
centerLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
centerLabel:SetZOrder(-1);
centerLabel:SetMouseVisible(false);

centerLabel = Turbine.UI.Label();
centerLabel:SetParent(centerWindow2);
centerLabel:SetPosition( 0, 0 );
centerLabel:SetSize( 36, 36  );
centerLabel:SetText( "" );
centerLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
centerLabel:SetZOrder(-1);
centerLabel:SetMouseVisible(false);

centerLabel = Turbine.UI.Label();
centerLabel:SetParent(centerWindow3);
centerLabel:SetPosition( 0, 0 );
centerLabel:SetSize( 36, 36  );
centerLabel:SetText( "" );
centerLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
centerLabel:SetZOrder(-1);
centerLabel:SetMouseVisible(false);

centerLabel = Turbine.UI.Label();
centerLabel:SetParent(centerWindow4);
centerLabel:SetPosition( 0, 0 );
centerLabel:SetSize( 36, 36  );
centerLabel:SetText( "" );
centerLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
centerLabel:SetZOrder(-1);
centerLabel:SetMouseVisible(false);

centerLabel = Turbine.UI.Label();
centerLabel:SetParent(centerWindow5);
centerLabel:SetPosition( 0, 0 );
centerLabel:SetSize( 36, 36  );
centerLabel:SetText( "" );
centerLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
centerLabel:SetZOrder(-1);
centerLabel:SetMouseVisible(false);

centerLabel = Turbine.UI.Label();
centerLabel:SetParent(centerWindow6);
centerLabel:SetPosition( 0, 0 );
centerLabel:SetSize( 36, 36  );
centerLabel:SetText( "" );
centerLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
centerLabel:SetZOrder(-1);
centerLabel:SetMouseVisible(false);

centerLabel = Turbine.UI.Label();
centerLabel:SetParent(centerWindow7);
centerLabel:SetPosition( 0, 0 );
centerLabel:SetSize( 36, 36  );
centerLabel:SetText( "" );
centerLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
centerLabel:SetZOrder(-1);
centerLabel:SetMouseVisible(false);

centerLabel = Turbine.UI.Label();
centerLabel:SetParent(centerWindow8);
centerLabel:SetPosition( 0, 0 );
centerLabel:SetSize( 36, 36  );
centerLabel:SetText( "" );
centerLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
centerLabel:SetZOrder(-1);
centerLabel:SetMouseVisible(false);

centerLabel = Turbine.UI.Label();
centerLabel:SetParent(centerWindow9);
centerLabel:SetPosition( 0, 0 );
centerLabel:SetSize( 36, 36  );
centerLabel:SetText( "" );
centerLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
centerLabel:SetZOrder(-1);
centerLabel:SetMouseVisible(false);

centerQS1 = Turbine.UI.Lotro.Quickslot();
centerQS1:SetParent( centerWindow );
centerQS1:SetPosition( 0, 0 );
centerQS1:SetSize( 35, 35 );
centerQS1:SetUseOnRightClick(false);

centerQS2 = Turbine.UI.Lotro.Quickslot();
centerQS2:SetParent( centerWindow2 );
centerQS2:SetPosition( 0, 0 );
centerQS2:SetSize( 35, 35 );
centerQS2:SetUseOnRightClick(false);

centerQS3 = Turbine.UI.Lotro.Quickslot();
centerQS3:SetParent( centerWindow3 );
centerQS3:SetPosition( 0, 0 );
centerQS3:SetSize( 35, 35 );
centerQS3:SetUseOnRightClick(false);

centerQS4 = Turbine.UI.Lotro.Quickslot();
centerQS4:SetParent( centerWindow4 );
centerQS4:SetPosition( 0, 0 );
centerQS4:SetSize( 35, 35 );
centerQS4:SetUseOnRightClick(false);

centerQS5 = Turbine.UI.Lotro.Quickslot();
centerQS5:SetParent( centerWindow5 );
centerQS5:SetPosition( 0, 0 );
centerQS5:SetSize( 35, 35 );
centerQS5:SetUseOnRightClick(false);

centerQS6 = Turbine.UI.Lotro.Quickslot();
centerQS6:SetParent( centerWindow6 );
centerQS6:SetPosition( 0, 0 );
centerQS6:SetSize( 35, 35 );
centerQS6:SetUseOnRightClick(false);

centerQS7 = Turbine.UI.Lotro.Quickslot();
centerQS7:SetParent( centerWindow7 );
centerQS7:SetPosition( 0, 0 );
centerQS7:SetSize( 35, 35 );
centerQS7:SetUseOnRightClick(false);

centerQS8 = Turbine.UI.Lotro.Quickslot();
centerQS8:SetParent( centerWindow8 );
centerQS8:SetPosition( 0, 0 );
centerQS8:SetSize( 35, 35 );
centerQS8:SetUseOnRightClick(false);

centerQS9 = Turbine.UI.Lotro.Quickslot();
centerQS9:SetParent( centerWindow9 );
centerQS9:SetPosition( 0, 0 );
centerQS9:SetSize( 35, 35 );
centerQS9:SetUseOnRightClick(false);


settings.shortcutData_1 = "0x7001049A"; -- morceaux de fruit pourrit non theatre
settings.shortcutData_2 = "0x70005CA6"; -- ptale de fleurs de rivegel
settings.shortcutData_3 = "0x70005CA6"; -- morceaux de fruit pourri pour le theatre
settings.shortcutData_4 = "0x70005C90"; -- boule de neige parfaite pour l'instance
settings.shortcutData_5 = "0x70005CAA"; -- boule de neige parfaite pour concours de boule de neige
settings.shortcutData_6 = "0x70010499"; -- boule de neige parfaite pour concours de boule de neige
settings.shortcutData_7 = "0x70005C9B"; -- boule de neige parfaite pour concours de boule de neige
settings.shortcutData_8 = "0x70005C85"; -- boule de neige parfaite pour concours de boule de neige
settings.shortcutData_9 = "0x70005CA6"; -- boule de neige parfaite pour concours de boule de neige
centerQS1:SetShortcut( Turbine.UI.Lotro.Shortcut( 5, settings.shortcutData_1 ) );
centerQS2:SetShortcut( Turbine.UI.Lotro.Shortcut( 5, settings.shortcutData_2 ) );
centerQS3:SetShortcut( Turbine.UI.Lotro.Shortcut( 5, settings.shortcutData_3 ) );
centerQS4:SetShortcut( Turbine.UI.Lotro.Shortcut( 5, settings.shortcutData_4 ) );
centerQS5:SetShortcut( Turbine.UI.Lotro.Shortcut( 5, settings.shortcutData_5 ) );
centerQS6:SetShortcut( Turbine.UI.Lotro.Shortcut( 5, settings.shortcutData_6 ) );
centerQS7:SetShortcut( Turbine.UI.Lotro.Shortcut( 5, settings.shortcutData_7 ) );
centerQS8:SetShortcut( Turbine.UI.Lotro.Shortcut( 5, settings.shortcutData_8 ) );
centerQS9:SetShortcut( Turbine.UI.Lotro.Shortcut( 5, settings.shortcutData_9 ) );
------------------------------------------------------------------------------------------
-- setting the shortcuts
------------------------------------------------------------------------------------------
if(settings.shortcutData_1 ~= "") then
	centerQS1:SetShortcut( Turbine.UI.Lotro.Shortcut( 5, settings.shortcutData_1 ) );
end
if(settings.shortcutData_2 ~= "") then
	centerQS2:SetShortcut( Turbine.UI.Lotro.Shortcut( 5, settings.shortcutData_2 ) );
end
if(settings.shortcutData_3 ~= "") then
	centerQS3:SetShortcut( Turbine.UI.Lotro.Shortcut( 5, settings.shortcutData_3 ) );
end
if(settings.shortcutData_4 ~= "") then
	centerQS4:SetShortcut( Turbine.UI.Lotro.Shortcut( 5, settings.shortcutData_4 ) );
end
if(settings.shortcutData_5 ~= "") then
	centerQS5:SetShortcut( Turbine.UI.Lotro.Shortcut( 5, settings.shortcutData_5 ) );
end
if(settings.shortcutData_6 ~= "") then
	centerQS6:SetShortcut( Turbine.UI.Lotro.Shortcut( 5, settings.shortcutData_6 ) );
end
if(settings.shortcutData_7 ~= "") then
	centerQS7:SetShortcut( Turbine.UI.Lotro.Shortcut( 5, settings.shortcutData_7 ) );
end
if(settings.shortcutData_8 ~= "") then
	centerQS8:SetShortcut( Turbine.UI.Lotro.Shortcut( 5, settings.shortcutData_8 ) );
end
if(settings.shortcutData_9 ~= "") then
	centerQS9:SetShortcut( Turbine.UI.Lotro.Shortcut( 5, settings.shortcutData_9 ) );
end

------------------------------------------------------------------------------------------
-- setting the shortcuts for drag and drop
------------------------------------------------------------------------------------------
centerQS1.DragDrop = function(sender, args)
	local tmp = Turbine.UI.Lotro.Quickslot();
		
	tmp = centerQS1:GetShortcut();
	tmp = tmp:GetData();
	
	local tmp2 = Turbine.UI.Lotro.Quickslot();
	tmp2 = centerQS1:GetShortcut();
	tmp2 = tmp2:GetType();

	
	--Turbine.Shell.WriteLine("Data : " .. tmp); -- display the ID of the schortcut
	--Turbine.Shell.WriteLine("Type : " .. tmp2); -- display the Type of the schortcut

	settings.shortcutData_1 = tmp;

	SaveSettings();
end
centerQS2.DragDrop = function(sender, args)
	local tmp = Turbine.UI.Lotro.Quickslot();
		
	tmp = centerQS2:GetShortcut();
	tmp = tmp:GetData();
	
	settings.shortcutData_2 = tmp;

	SaveSettings();
end
centerQS3.DragDrop = function(sender, args)
	local tmp = Turbine.UI.Lotro.Quickslot();
		
	tmp = centerQS3:GetShortcut();
	tmp = tmp:GetData();
	
	settings.shortcutData_3 = tmp;

	SaveSettings();
end
centerQS4.DragDrop = function(sender, args)
	local tmp = Turbine.UI.Lotro.Quickslot();
		
	tmp = centerQS4:GetShortcut();
	tmp = tmp:GetData();
	
	settings.shortcutData_4 = tmp;

	SaveSettings();
end
centerQS5.DragDrop = function(sender, args)
	local tmp = Turbine.UI.Lotro.Quickslot();
		
	tmp = centerQS5:GetShortcut();
	tmp = tmp:GetData();
	
	settings.shortcutData_5 = tmp;

	SaveSettings();
end
centerQS6.DragDrop = function(sender, args)
	local tmp = Turbine.UI.Lotro.Quickslot();
		
	tmp = centerQS6:GetShortcut();
	tmp = tmp:GetData();
	
	settings.shortcutData_6 = tmp;

	SaveSettings();
end
centerQS7.DragDrop = function(sender, args)
	local tmp = Turbine.UI.Lotro.Quickslot();
		
	tmp = centerQS7:GetShortcut();
	tmp = tmp:GetData();
	
	settings.shortcutData_7 = tmp;

	SaveSettings();
end
centerQS8.DragDrop = function(sender, args)
	local tmp = Turbine.UI.Lotro.Quickslot();
		
	tmp = centerQS8:GetShortcut();
	tmp = tmp:GetData();
	
	settings.shortcutData_8 = tmp;

	SaveSettings();
end
centerQS9.DragDrop = function(sender, args)
	local tmp = Turbine.UI.Lotro.Quickslot();
		
	tmp = centerQS9:GetShortcut();
	tmp = tmp:GetData();
	
	settings.shortcutData_9 = tmp;

	SaveSettings();
end
------------------------------------------------------------------------------------------
-- event handling
------------------------------------------------------------------------------------------

YulTheatreWindow.KeyDown=function(sender, args)
	if ( args.Action == Turbine.UI.Lotro.Action.Escape ) then
		YulTheatreWindow:SetVisible(false);
		settings.isWindowVisible = false;
	end
end
------------------------------------------------------------------------------------------
-- if the position changes, save the new window location
------------------------------------------------------------------------------------------
	YulTheatreWindow.PositionChanged = function( sender, args )
    	local x,y = YulTheatreWindow:GetPosition();
    	settings.positionX = x;
    	settings.positionY = y;
		SaveSettings();
	end

				
	



